Bug 502054 - (perl-Lingua-Flags) Review Request: perl-Lingua-Flags - Provide small flag icons
Review Request: perl-Lingua-Flags - Provide small flag icons
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Lingua-Fl...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-21 12:13 EDT by Iain Arnell
Modified: 2009-06-15 22:34 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.05-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-26 23:22:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-05-21 12:13:41 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Lingua-Flags.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Lingua-Flags-0.05-1.fc12.src.rpm

Description:
Module with small flags icons. You can get them in base64 inline HTML image
or as a gif image.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1368784

*rt-0.09
Comment 1 Iain Arnell 2009-05-21 12:43:36 EDT
To quote https://fedoraproject.org/wiki/Package_Maintainers_Flags_Policy

<<EOF
When a package contains flag images that are used (in the user interface, in documentation, etc.) to represent locations, countries, nations, other kinds of geopolitical entities, languages, other kinds of ethnocultural concepts, religions, political movements and institutions, and the like, and where such use is not technically or substantively essential to the package, those flag images must be placed in an -flags subpackage. The -flags subpackage cannot be Required by the main package. 
EOF

This package may contain flag images, but they are not "used ... to represent" anything at all. 

And even if they were used, I'm pretty sure that such use is both technically and substantively essential to this package.
Comment 2 Chris Weyl 2009-05-24 18:58:12 EDT
Looks good.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1368784

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
c2a7512bc98f7c67d014b4646af79e95afa55bdf Lingua-Flags-0.05.tar.gz
c2a7512bc98f7c67d014b4646af79e95afa55bdf Lingua-Flags-0.05.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Lingua-Flags-0.05-1.fc12.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Lingua-Flags-0.05-1.fc12.noarch.rpm
perl(Lingua::Flags) = 0.05
perl-Lingua-Flags = 0.05-1.fc12
====> requires for perl-Lingua-Flags-0.05-1.fc12.noarch.rpm
perl(base)  
perl(MIME::Base64)  
perl(:MODULE_COMPAT_5.10.0)  
perl(strict)  
perl(warnings)  

=====> perl-Lingua-Flags-0.05-1.fc12.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Lingua-Flags-0.05-1.fc12.src.rpm
====> requires for perl-Lingua-Flags-0.05-1.fc12.src.rpm
perl(ExtUtils::MakeMaker)  
perl(Test::More)  
perl(Test::Pod)  
perl(Test::Pod::Coverage)  

APPROVED
Comment 3 Iain Arnell 2009-05-24 23:45:05 EDT
New Package CVS Request
=======================
Package Name: perl-Lingua-Flags
Short Description: Provide small flag icons
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig
Comment 4 Jason Tibbitts 2009-05-26 18:08:57 EDT
CVS done.
Comment 5 Fedora Update System 2009-05-26 23:17:59 EDT
perl-Lingua-Flags-0.05-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Lingua-Flags-0.05-1.fc11
Comment 6 Fedora Update System 2009-05-26 23:18:04 EDT
perl-Lingua-Flags-0.05-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Lingua-Flags-0.05-1.fc10
Comment 7 Fedora Update System 2009-06-15 21:51:05 EDT
perl-Lingua-Flags-0.05-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-06-15 22:34:26 EDT
perl-Lingua-Flags-0.05-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.